/**
 * My Title
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models


/**
 * 
 * @param id 
 * @param downloadLink 
 * @param artefactExt 
 * @param environment 
 * @param platform 
 * @param flavor 
 * @param version 
 * @param build 
 * @param publication 
 */
data class ArtefactDTO (

    val id: kotlin.String,
    val downloadLink: kotlin.String? = null,
    val artefactExt: kotlin.String? = null,
    val environment: kotlin.String,
    val platform: kotlin.String,
    val flavor: kotlin.String,
    val version: kotlin.String,
    val build: kotlin.Int,
    val publication: java.time.LocalDateTime
) {
}